/* 
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: array.gi,v 1.2 2002/08/12 12:42:21 malekith Exp $
 *
 * Standard library for Gont, Array module interface.
 */

type <'a>t;

'a get(<'a>t array, int idx) = "Array__get";
void set(<'a>t array, int idx, 'a value) = "Array__set";
int length(<'a>t array) = "Array__length";
<'a>t make(int size, 'a ini) = "Array__make";
<'a>t init(int size, *('a (int)) ini) = "Array__init";

void iter(*(void ('a)), <'a>t array);
<'a>List::t to_list(<'a>t);
<'a>t of_list(<'a>List::t);

void resize(<'a>t array, int new_size, 'a ini) = "Array__resize";
