/* 
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: int64.gi,v 1.2 2002/06/04 11:54:12 malekith Exp $
 *
 * Standard library for Gont, Int64 module interface.
 */

type t;

t add(t, t) = "Int64__add";
t sub(t, t) = "Int64__sub";
t mul(t, t) = "Int64__mul";
t div(t, t) = "Int64__div";
t mod(t, t) = "Int64__mod";
int cmp(t, t) = "Int64__cmp";
t of_string(string) = "Int64__of_string";
string to_string(t, int base) = "Int64__to_string";

t succ(t);
t pred(t);

t zero;
t one;
t minus_one;
