// Test List module
// $Id: t10.g,v 1.3 2002/05/27 15:08:48 malekith Exp $

open List

void print_int_list(<int>List::t l)
{
	void print(int x) 
	{
		print_int(x);
		print_string(",");
	}

	print_string("[");
	iter(print, l);

	print_string("] ");
}

section init
{
	<int>List::t i;
	int cnt = 0;
	int adder(int x) { cnt = (cnt + 1) % 4; return x + cnt; }
	
	i = Cons[3, Cons[1, Cons[2, Nil]]];
	i = List::concat(map(fun int (int x) ((3 - x) * 2), i), i);
	i = concat(map(fun int (int x)((3 - x) * 2), i), i);
	print_int_list(i);
	i = map(adder, i);
	print_int_list(i);
	print_int_list(qsort(fun int (int x, int y) (x - y), i));
	print_int_list(qsort(fun int (int x, int y) (y - x), i));
	
	print_int(fold_left(fun int (int x, int y) (x+y), 0, i));

	print_string(".\n");
}

/* 
 * expected-build-status: ok
 * run-test: yes
 * expected-output: [6,-2,2,0,4,2,0,4,2,3,1,2,] [7,0,5,0,5,4,3,4,3,5,4,2,] [0,0,2,3,3,4,4,4,5,5,5,7,] [7,5,5,5,4,4,4,3,3,2,0,0,] 42.
 */
